package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 产品风险配置
 */
public class ProductRiskClDO{

    /**
     * id .
     */
    private Long id;
    /**
     * riskCl 五级分类.
     */
    private String riskCl;
    /**
     * abssqrProdCode 产品码.
     */
    private String abssqrProdCode;
    /**
     * ovdDays 逾期天数.
     */
    private Integer ovdDays;
    /**
     * gmtCreate .
     */
    private Date gmtCreate;
    /**
     * gmtModified .
     */
    private Date gmtModified;
    /**
     * prov 初始拨备比例，按百分比取值，如拨备比例为40%，则该值为40.
     */
    private BigDecimal prov;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set riskCl 五级分类.
     */
    public void setRiskCl(String riskCl){
        this.riskCl = riskCl;
    }

    /**
     * Get riskCl 五级分类.
     *
     * @return the string
     */
    public String getRiskCl(){
        return riskCl;
    }

    /**
     * Set abssqrProdCode 产品码.
     */
    public void setAbssqrProdCode(String abssqrProdCode){
        this.abssqrProdCode = abssqrProdCode;
    }

    /**
     * Get abssqrProdCode 产品码.
     *
     * @return the string
     */
    public String getAbssqrProdCode(){
        return abssqrProdCode;
    }

    /**
     * Set ovdDays 逾期天数.
     */
    public void setOvdDays(Integer ovdDays){
        this.ovdDays = ovdDays;
    }

    /**
     * Get ovdDays 逾期天数.
     *
     * @return the string
     */
    public Integer getOvdDays(){
        return ovdDays;
    }

    /**
     * Set gmtCreate .
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate .
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified .
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified .
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set prov 初始拨备比例，按百分比取值，如拨备比例为40%，则该值为40.
     */
    public void setProv(BigDecimal prov){
        this.prov = prov;
    }

    /**
     * Get prov 初始拨备比例，按百分比取值，如拨备比例为40%，则该值为40.
     *
     * @return the string
     */
    public BigDecimal getProv(){
        return prov;
    }
}
