package com.abssqr.plat.common.dal.sync.auto.mapper;

import com.abssqr.plat.common.dal.sync.auto.dataobject.WkAbsMfsBillCtrIgnoreDO;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table wk_abs_mfs_bill_ctr_ignore.
 * WK_ABS_MFS_BILL_CTR_IGNORE
 */
public interface WkAbsMfsBillCtrIgnoreDOMapper{

    /**
     * desc:根据主键删除数据:wk_abs_mfs_bill_ctr_ignore.<br/>
     * @param loanId loanId
     * @return int
     */
    int deleteByLoanId(@Param("loanId")String loanId);
    /**
     * desc:根据主键获取数据:wk_abs_mfs_bill_ctr_ignore.<br/>
     * @param loanId loanId
     * @return WkAbsMfsBillCtrIgnoreDO
     */
    WkAbsMfsBillCtrIgnoreDO getByLoanId(@Param("loanId")String loanId);
}
