/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.workOrder;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author hanfei
 * @version WorkOrderQprParam.java, v0.1  2019-12-23 00:41 hanfeiExp$
 */
public class WorkOrderQprParam extends BaseOprParam {

    /**
     * 业务唯一编号
     */
    @VldString(message = "业务唯一编号不能为空")
    private String businessKey;
    /**
     * 业务类型
     */
    private String businessType;
    /**
     *
     */
    @VldString(message = "业务操作类型不能为空")
    private String operate;


    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }

    public String getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(String businessKey) {
        this.businessKey = businessKey;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getOperate() {
        return operate;
    }

    public void setOperate(String operate) {
        this.operate = operate;
    }
}
