/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result.analyse;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;

/**
 * 资金计划计算结果
 * @author hanfei
 * @version $Id: CalcFundResultVO.java, v 0.1 2019-09-19 6:49 PM hanfei Exp $
 */
public class CalcFundResultVO extends BaseEntity implements Serializable {
    
    /**
     * 计划编号
     */
    private String planNo;
    /**
     * 预计募集日账户可用余额
     */
    private Money  planAbleBal = new Money();
    /**
     * 剩余天数
     */
    private int    spareDays;
    /**
     * 预计期间还款流入
     */
    private Money flowInAmt = new Money();
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public Money getPlanAbleBal() {
        return planAbleBal;
    }
    
    public void setPlanAbleBal(Money planAbleBal) {
        this.planAbleBal = planAbleBal;
    }
    
    public int getSpareDays() {
        return spareDays;
    }
    
    public void setSpareDays(int spareDays) {
        this.spareDays = spareDays;
    }
    
    public Money getFlowInAmt() {
        return flowInAmt;
    }
    
    public void setFlowInAmt(Money flowInAmt) {
        this.flowInAmt = flowInAmt;
    }
}
