/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.result.plan;

import com.abssqr.plat.common.facade.model.plan.PlanAstPriceRule;
import com.general.system.common.model.BaseEntity;

import java.util.List;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.result.plan: PlanAstRuleVo.java, v 0.1 2019-11-07 5:37 PM xiachenxiang Exp $ 
 */
public class PlanAstPriceRuleVo extends BaseEntity  {

    /**
     * 计划编号
     */
    private String planNo;

    /**
     * 计划名称
     */
    private String planName;
    /**
     * 定价类型
     */
    private String priceType;
    /**
     * 定价规则列表
     */
    private List<PlanAstPriceRule> planAstPriceRuleList;

    /**
     * 是否有审批中的定价
     */
    private Boolean pending = false;

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public List<PlanAstPriceRule> getPlanAstPriceRuleList() {
        return planAstPriceRuleList;
    }

    public Boolean getPending() {
        return pending;
    }

    public void setPending(Boolean pending) {
        this.pending = pending;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public void setPlanAstPriceRuleList(List<PlanAstPriceRule> planAstPriceRuleList) {
        this.planAstPriceRuleList = planAstPriceRuleList;
    }
}
