/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.service;

import com.abssqr.plat.common.facade.model.org.Organization;
import com.abssqr.plat.common.facade.model.org.OrganizationEntity;
import com.abssqr.plat.common.facade.param.org.OrgEditParam;
import com.abssqr.plat.common.facade.param.org.OrgEntityOprParam;
import com.abssqr.plat.common.facade.param.org.OrgEntityPageQryParam;
import com.abssqr.plat.common.facade.param.org.OrgEntityQryParam;
import com.abssqr.plat.common.facade.param.org.OrgPageQryParam;
import com.abssqr.plat.common.facade.param.org.OrgQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.org.OrgEntityListVO;
import com.abssqr.plat.common.facade.result.org.OrgListVO;
import com.abssqr.plat.common.facade.result.plan.PlanListVO;
import com.general.system.common.model.BaseResult;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.service: OrgService.java, v 0.1 2019-05-28 11:03 zhenxuan.luo Exp $
 */
public interface OrgService {
    
    /**
     * 机构分页查询
     *
     * @param param
     * @return
     */
    BasePage<OrgListVO> getOrgList(OrgPageQryParam param);


    /**
     * 新增OrUpdate
     * d
     * @param param
     * @return
     */
    BaseResult<String> addOrUpdate(OrgEditParam param);
    
    /**
     * 获取机构
     *
     * @param param
     * @return
     */
    Organization getOrg(OrgQryParam param);

}