/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.astSync;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.util.DateTimeUtil;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.astSync: BaseSyncEntity.java, v 0.1 2019-06-14 17:25 zhenxuan.luo Exp $
 */
public class BaseLoanAstSyncEntity extends BaseEntity {
    
    private String loanNo;
    private String userId;
    /**
     * date 数据发生日.
     */
    private Date   syncDate;
    /**
     * 会计日期
     */
    private Date   accountDate;
    
    public Date getDayBeginAccountDate() {
        return DateTimeUtil.addDays(accountDate, 1);
    }
    
    public String getUserId() {
        return userId;
    }
    
    public void setUserId(String userId) {
        this.userId = userId;
    }
    
    public String getLoanNo() {
        return loanNo;
    }
    
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    
    public Date getSyncDate() {
        return syncDate;
    }
    
    public void setSyncDate(Date syncDate) {
        this.syncDate = syncDate;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
}