/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2017 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.contract;

import com.general.system.common.model.BaseEntity;

import java.util.Date;

/**
 * 资产周期
 *
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.domain.asset: AstPeriod.java, v 0.1 2017-12-05 下午16:00 zhenxuan.luo Exp $
 */
public class ContractPeriod extends BaseEntity {
    
    /**
     * 开始日期
     */
    private Date startDate;
    
    /**
     * 结束日期
     */
    private Date endDate;
    
    /**
     * 签署生效时间
     */
    private Date effectDate;
    
    public Date getStartDate() {
        return startDate;
    }
    
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }
    
    public Date getEndDate() {
        return endDate;
    }
    
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
    
    public Date getEffectDate() {
        return effectDate;
    }
    
    public void setEffectDate(Date effectDate) {
        this.effectDate = effectDate;
    }
}