/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.loanTrans;

import com.abssqr.plat.common.model.domain.loanTrans.LoanLog;

import java.util.List;

/**
 * 资产流水仓储
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.loanTrans: LoanLogRepository.java, v 0.1 2017-12-21 上午1:44 guozhenhua Exp $
 */
public interface LoanLogRepository {
    
    int insertBatch(List<LoanLog> list);

    /**
     * 根据资产编号和事件码获取最新的一条
     * @param astNo
     * @param eventCode
     * @return
     */
    LoanLog getLastByAstNoAndEventCode(String astNo, String eventCode);
}
