/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.utils;

import com.abssqr.plat.common.facade.base.DebtMoney;
import com.abssqr.plat.common.facade.enums.DebtMoneyFieldEnum;
import com.abssqr.plat.common.facade.enums.LoanStatusEnum;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.utils: DebtMoneyUtil.java, v 0.1 2019-06-25 22:33 zhenxuan.luo Exp $ 
 */
public class DebtMoneyUtil {
    
    public static void addInstal2Loan(DebtMoney loanAmt, DebtMoney instalAmt, LoanStatusEnum status) {
        if (status == LoanStatusEnum.OVERDUE) {
            loanAmt.addByFieldType(DebtMoneyFieldEnum.OVD_PRIN, instalAmt.getByFieldType(DebtMoneyFieldEnum.PRIN));
            loanAmt.addByFieldType(DebtMoneyFieldEnum.OVD_INTR, instalAmt.getByFieldType(DebtMoneyFieldEnum.INTR));
            loanAmt.addByFieldType(DebtMoneyFieldEnum.OVD_FEE, instalAmt.getByFieldType(DebtMoneyFieldEnum.FEE));
        } else {
            loanAmt.addByFieldType(DebtMoneyFieldEnum.PRIN, instalAmt.getByFieldType(DebtMoneyFieldEnum.PRIN));
            loanAmt.addByFieldType(DebtMoneyFieldEnum.INTR, instalAmt.getByFieldType(DebtMoneyFieldEnum.INTR));
            loanAmt.addByFieldType(DebtMoneyFieldEnum.FEE, instalAmt.getByFieldType(DebtMoneyFieldEnum.FEE));
        }
        
        loanAmt.addByFieldType(DebtMoneyFieldEnum.PRIN_ODUE_PNY,
                instalAmt.getByFieldType(DebtMoneyFieldEnum.PRIN_ODUE_PNY));
        loanAmt.addByFieldType(DebtMoneyFieldEnum.INTR_ODUE_PNY,
                instalAmt.getByFieldType(DebtMoneyFieldEnum.INTR_ODUE_PNY));
        loanAmt.addByFieldType(DebtMoneyFieldEnum.FEE_PNY, instalAmt.getByFieldType(DebtMoneyFieldEnum.FEE_PNY));
        loanAmt.addByFieldType(DebtMoneyFieldEnum.OTHER_FEE, instalAmt.getByFieldType(DebtMoneyFieldEnum.OTHER_FEE));
        loanAmt.addByFieldType(DebtMoneyFieldEnum.OTHER_FEE_PNY,
                instalAmt.getByFieldType(DebtMoneyFieldEnum.OTHER_FEE_PNY));
    }
}