/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.core.service.action;

import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.abssqr.plat.common.model.domain.ast.Loan;
import com.abssqr.plat.common.model.domain.astSync.BaseTsfRes;
import com.abssqr.plat.common.model.domain.astSync.LoanAstSyncTrans;

/**
 * 资产同步任务下子动作
 * @author guozhenhua
 * @version com.abssqr.plat.processor.core.action: AstTransAction.java, v 0.1 2017-12-12 下午4:33 guozhenhua Exp $
 */
public interface AstTransAction {
    
    /**
     * 执行资产交易动作
     * @param baseTsfRes
     * @return
     */
    Loan executeAction(BaseTsfRes baseTsfRes, LoanAstSyncTrans loanAstSyncTrans, Loan loan);
    
    /**
     *  获取对应的事件码
     * @return
     */
    TransCodeEnum getEventSceneCode();
}
