package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table ABS_AST_POOL
 */
public class AstPoolDO{

    /**
     * id 自增ID.
     */
    private Long id;
    /**
     * astNo 内部资产编号.
     */
    private String astNo;
    /**
     * ownOrg 所属机构（计划）.
     */
    private String ownOrg;
    /**
     * context 扩展属性.
     */
    private String context;
    /**
     * managerOrgCode 管理机构.
     */
    private String managerOrgCode;
    /**
     * slice 是否已切片.
     */
    private Boolean slice;
    /**
     * termNo 期次号.
     */
    private Integer termNo;
    /**
     * endDate 分期结束日期-即还款日(YYYYMMDD).
     */
    private Date endDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * startDate 分期开始日期(YYYYMMDD).
     */
    private Date startDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;

    /**
     * Set id 自增ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 自增ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set astNo 内部资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 内部资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set ownOrg 所属机构（计划）.
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg 所属机构（计划）.
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set context 扩展属性.
     */
    public void setContext(String context){
        this.context = context;
    }

    /**
     * Get context 扩展属性.
     *
     * @return the string
     */
    public String getContext(){
        return context;
    }

    /**
     * Set managerOrgCode 管理机构.
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode 管理机构.
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set slice 是否已切片.
     */
    public void setSlice(Boolean slice){
        this.slice = slice;
    }

    /**
     * Get slice 是否已切片.
     *
     * @return the string
     */
    public Boolean getSlice(){
        return slice;
    }

    /**
     * Set termNo 期次号.
     */
    public void setTermNo(Integer termNo){
        this.termNo = termNo;
    }

    /**
     * Get termNo 期次号.
     *
     * @return the string
     */
    public Integer getTermNo(){
        return termNo;
    }

    /**
     * Set endDate 分期结束日期-即还款日(YYYYMMDD).
     */
    public void setEndDate(Date endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 分期结束日期-即还款日(YYYYMMDD).
     *
     * @return the string
     */
    public Date getEndDate(){
        return endDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set startDate 分期开始日期(YYYYMMDD).
     */
    public void setStartDate(Date startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate 分期开始日期(YYYYMMDD).
     *
     * @return the string
     */
    public Date getStartDate(){
        return startDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
