package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 计划-分配计划
 */
public class PlanAllocDO{

    /**
     * id 主键.
     */
    private Long id;
    /**
     * allocAmt 本期分配总额.
     */
    private Long allocAmt;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * status 分配状态.
     */
    private String status;
    /**
     * allocNo 分配编号.
     */
    private String allocNo;
    /**
     * planType 计划类型 SPV,PLAN.
     */
    private String planType;
    /**
     * approveStatus 审批状态     OUTOFDATE("OUTOFDATE", "已过时"),      PASSED("PASSED", "已通过"),      FAILED("FAILED", "未通过"),      PENDING("PENDING", "审批中"),      UNSUBMIT("UNSUBMIT", "未提交"),      UNWANTED("UNWANTED", "无审批"),.
     */
    private String approveStatus;
    /**
     * payDate 兑付日.
     */
    private Date payDate;
    /**
     * clearDate 结算日.
     */
    private Date clearDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;

    /**
     * Set id 主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set allocAmt 本期分配总额.
     */
    public void setAllocAmt(Long allocAmt){
        this.allocAmt = allocAmt;
    }

    /**
     * Get allocAmt 本期分配总额.
     *
     * @return the string
     */
    public Long getAllocAmt(){
        return allocAmt;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set status 分配状态.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 分配状态.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set allocNo 分配编号.
     */
    public void setAllocNo(String allocNo){
        this.allocNo = allocNo;
    }

    /**
     * Get allocNo 分配编号.
     *
     * @return the string
     */
    public String getAllocNo(){
        return allocNo;
    }

    /**
     * Set planType 计划类型 SPV,PLAN.
     */
    public void setPlanType(String planType){
        this.planType = planType;
    }

    /**
     * Get planType 计划类型 SPV,PLAN.
     *
     * @return the string
     */
    public String getPlanType(){
        return planType;
    }

    /**
     * Set approveStatus 审批状态     OUTOFDATE("OUTOFDATE", "已过时"),      PASSED("PASSED", "已通过"),      FAILED("FAILED", "未通过"),      PENDING("PENDING", "审批中"),      UNSUBMIT("UNSUBMIT", "未提交"),      UNWANTED("UNWANTED", "无审批"),.
     */
    public void setApproveStatus(String approveStatus){
        this.approveStatus = approveStatus;
    }

    /**
     * Get approveStatus 审批状态     OUTOFDATE("OUTOFDATE", "已过时"),      PASSED("PASSED", "已通过"),      FAILED("FAILED", "未通过"),      PENDING("PENDING", "审批中"),      UNSUBMIT("UNSUBMIT", "未提交"),      UNWANTED("UNWANTED", "无审批"),.
     *
     * @return the string
     */
    public String getApproveStatus(){
        return approveStatus;
    }

    /**
     * Set payDate 兑付日.
     */
    public void setPayDate(Date payDate){
        this.payDate = payDate;
    }

    /**
     * Get payDate 兑付日.
     *
     * @return the string
     */
    public Date getPayDate(){
        return payDate;
    }

    /**
     * Set clearDate 结算日.
     */
    public void setClearDate(Date clearDate){
        this.clearDate = clearDate;
    }

    /**
     * Get clearDate 结算日.
     *
     * @return the string
     */
    public Date getClearDate(){
        return clearDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
