package com.abssqr.plat.common.facade.model.org;

import com.abssqr.plat.common.facade.enums.OrgStatusEnum;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * @author bangis.wangdf
 * @description 机构
 */

public class Organization extends BaseEntity implements Serializable{

    private static final long serialVersionUID = -5831170259642073324L;
    /**
     * orgCode .
     */
    private String orgCode;
    /**
     * orgName 机构全称.
     */
    private String orgName;
    /**
     * linkmanName 姓名.
     */
    private String linkmanName;
    /**
     * linkmanEmail 邮箱.
     */
    private String linkmanEmail;
    /**
     * linkmanPhone 电话.
     */
    private String linkmanPhone;
    /**
     * orgAbbreviation 机构简称.
     */
    private String orgAbbreviation;

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * status 状态.
     */
    private OrgStatusEnum status;

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getLinkmanName() {
        return linkmanName;
    }

    public void setLinkmanName(String linkmanName) {
        this.linkmanName = linkmanName;
    }

    public String getLinkmanEmail() {
        return linkmanEmail;
    }

    public void setLinkmanEmail(String linkmanEmail) {
        this.linkmanEmail = linkmanEmail;
    }

    public String getLinkmanPhone() {
        return linkmanPhone;
    }

    public void setLinkmanPhone(String linkmanPhone) {
        this.linkmanPhone = linkmanPhone;
    }

    public String getOrgAbbreviation() {
        return orgAbbreviation;
    }

    public void setOrgAbbreviation(String orgAbbreviation) {
        this.orgAbbreviation = orgAbbreviation;
    }

    public OrgStatusEnum getStatus() {
        return status;
    }

    public void setStatus(OrgStatusEnum status) {
        this.status = status;
    }
}
