/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.model.plan;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;

/**
 * 计划资产现金总和模型
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.domain.plan: PlanAstSum.java, v 0.1 2018-06-19 下午4:45 guozhenhua Exp $
 */
public class PlanAstSum extends BaseEntity implements Serializable {
    
    private static final long serialVersionUID = -3165378314675405145L;
    /**
     * cashamount .
     */
    private Money cashAmount = new Money();
    /**
     * prinamount .
     */
    private Money prinAmount = new Money();

    public Money getCashAmount() {
        return cashAmount;
    }

    public void setCashAmount(Money cashAmount) {
        this.cashAmount = cashAmount;
    }

    public Money getPrinAmount() {
        return prinAmount;
    }

    public void setPrinAmount(Money prinAmount) {
        this.prinAmount = prinAmount;
    }
}
