/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.workOrder;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author yangcheng
 * @version WorkOrderQryParam.java, v0.12019-06-1012:20 yangchengExp$
 */
public class WorkOrderQryParam extends BaseParam {
    
    /**
     * 业务唯一编号
     */
    @VldString(message = "业务唯一编号不能为空")
    private String businessKey;
    /**
     * 业务类型
     */
    private String businessType;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }

    public String getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(String businessKey) {
        this.businessKey = businessKey;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }
}
