/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.result.prod;

import com.abssqr.plat.common.facade.result.ApproveBaseEntity;
import com.general.system.bpm.enums.ApproveStatusEnum;

import java.util.Date;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.result.prod: ProdListVO.java, v 0.1 2019-05-28 15:44 bangis.wangdf Exp $
 */
public class ProdListVO extends ApproveBaseEntity {
    private static final long serialVersionUID = 3540034635146665479L;

    /**
     * prodCode 外部产品码.
     */
    private String            prodCode;
    /**
     * prodName 产品名.
     */
    private String            prodName;
    /**
     * approveStatus 审批状态.
     */
    private ApproveStatusEnum approveStatus;
    /**
     * abssqrProdCode 内部产品码.
     */
    private String            abssqrProdCode;
    /**
     * managerOrgCode 贷款的管理机构.
     */
    private String            managerOrgCode;
    /**
     * managerOrgCode 贷款的管理机构.
     */
    private String            managerOrgName;
    /**
     * gmtModified .
     */
    private Date              gmtModified;

    public String getProdCode() {
        return prodCode;
    }

    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }

    public String getProdName() {
        return prodName;
    }

    public void setProdName(String prodName) {
        this.prodName = prodName;
    }

    public ApproveStatusEnum getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(ApproveStatusEnum approveStatus) {
        this.approveStatus = approveStatus;
    }

    public String getAbssqrProdCode() {
        return abssqrProdCode;
    }

    public void setAbssqrProdCode(String abssqrProdCode) {
        this.abssqrProdCode = abssqrProdCode;
    }

    public String getManagerOrgCode() {
        return managerOrgCode;
    }

    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getManagerOrgName() {
        return managerOrgName;
    }

    public void setManagerOrgName(String managerOrgName) {
        this.managerOrgName = managerOrgName;
    }
}
