/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.service;

import com.abssqr.plat.common.facade.model.prod.LoanProduct;
import com.abssqr.plat.common.facade.param.prod.ProdEditParam;
import com.abssqr.plat.common.facade.param.prod.ProdPageQryParam;
import com.abssqr.plat.common.facade.param.prod.ProdQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.prod.ProdListVO;
import com.general.system.common.model.BaseResult;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.service: ProdService.java, v 0.1 2019-05-28 14:17 bangis.wangdf Exp $
 */
public interface ProdService {
    /**
     * 产品分页查询
     *
     * @param param
     * @return
     */
    BasePage<ProdListVO> getProdList(ProdPageQryParam param);

    /**
     * 新增OrUpdate
     *
     * @param param
     * @return
     */
    BaseResult<String> addOrUpdate(ProdEditParam param);


    /**
     * 获取产品
     * @param param
     * @return
     */
    LoanProduct getProd(ProdQryParam param);
}
