/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.service.ast;

import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.abssqr.plat.common.facade.param.ast.AstScreenRuleEditParam;
import com.abssqr.plat.common.facade.param.ast.AstScreenRulePageQryParam;
import com.abssqr.plat.common.facade.param.ast.AstScreenRuleQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstScreenRuleVO;

/**
 * 资产筛选服务
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.service.ast: AstScreenRuleService.java, v 0.1 2019-06-01 20:57 bangis.wangdf Exp $
 */
public interface AstScreenRuleService {
    /**
     * 分页查询资产筛选
     * @param param
     * @return
     */
    BasePage<AstScreenRuleVO> getAstScreenList(AstScreenRulePageQryParam param);

    /**
     * 新增Or编辑资产筛选
     * @param param
     * @return
     */
    AstScreenRule addOrUpdate(AstScreenRuleEditParam param);

    /**
     * 获取筛选规则
     * @param param
     * @return
     */
    AstScreenRule getAstScreenRule(AstScreenRuleQryParam param);
}
