/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.service.plan;

import com.abssqr.plat.common.facade.param.base.CommonPlanQryParam;
import com.abssqr.plat.common.facade.param.plan.priceRule.PlanAstPriceRuleParam;
import com.abssqr.plat.common.facade.param.plan.priceRule.PriceQryParam;
import com.abssqr.plat.common.facade.result.plan.PlanAstPriceRuleVo;

/**
 * 资产定价规则
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.service.plan: PlanAstPriceRuleService.java, v 0.1 2019-11-07 5:33 PM xiachenxiang Exp $ 
 */
public interface PlanAstPriceRuleService {
    /**
     * 查询资产定价规则详情
     * @param param
     * @return
     */
    PlanAstPriceRuleVo queryDtl(PriceQryParam param);

    /**
     * 编辑资产定价规则
     * @param param
     * @return
     */
    Void edit(PlanAstPriceRuleParam param);
}
