/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.task;

import com.general.system.common.model.BaseEntity;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.task: BaseTask.java, v 0.1 2019-06-12 21:22 zhenxuan.luo Exp $
 */
public class BaseTask extends BaseEntity {
    
    /**
     * 下次执行时间
     */
    private Date nextExecTime;
    
    /**
     * 最近执行时间
     */
    private Date lastExecTime;
    
    /**
     * 最近执行服务器
     */
    private String lastHost;
    
    private Long execTimes;
    
    public Date getNextExecTime() {
        return nextExecTime;
    }
    
    public void setNextExecTime(Date nextExecTime) {
        this.nextExecTime = nextExecTime;
    }
    
    public Date getLastExecTime() {
        return lastExecTime;
    }
    
    public void setLastExecTime(Date lastExecTime) {
        this.lastExecTime = lastExecTime;
    }
    
    public String getLastHost() {
        return lastHost;
    }
    
    public void setLastHost(String lastHost) {
        this.lastHost = lastHost;
    }
    
    public Long getExecTimes() {
        return execTimes;
    }
    
    public void setExecTimes(Long execTimes) {
        this.execTimes = execTimes;
    }
}