/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.domain.task;

import com.abssqr.plat.common.facade.enums.TaskStatusEnum;

/**
 *
 * @author zhenxuan.luo
 * @version $Id: DispatcherNode.java, v 0.1 2017-06-30 下午18:26 zhenxuan.luo Exp $ 
 */
public abstract class DispatcherNode extends BaseTask {
    private  boolean needTrans =true;
    /**
     * 任务状态
     */
    private TaskStatusEnum taskStatus;
    
    public TaskStatusEnum getTaskStatus() {
        return taskStatus;
    }
    
    public void setTaskStatus(TaskStatusEnum taskStatus) {
        this.taskStatus = taskStatus;
    }

    public void setNeedTrans(boolean needTrans) {
        this.needTrans = needTrans;
    }

    /**
     * 是否需要开启
     * @return
     */
    public boolean needTrans() {
        return needTrans;
    }
}