/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.trade;

import com.abssqr.plat.common.facade.enums.AstPackTradeTypeEnum;
import com.abssqr.plat.common.model.domain.ast.Loan;
import com.abssqr.plat.common.model.domain.ast.LoanAstBuyBackPack;

/**
 * 资产交易
 * @author hanfei
 * @version $Id: AstTradeParam.java, v 0.1 2020-02-12 3:51 PM hanfei Exp $
 */
public class AstTradeParam {
    /**
     * 资产包
     */
    private LoanAstBuyBackPack   pack;
    /**
     * 次产
     */
    private Loan                 loan;
    /**
     * 交易类型
     */
    private AstPackTradeTypeEnum astTradeType;
    
    public Loan getLoan() {
        return loan;
    }
    
    public void setLoan(Loan loan) {
        this.loan = loan;
    }
    
    public LoanAstBuyBackPack getPack() {
        return pack;
    }
    
    public void setPack(LoanAstBuyBackPack pack) {
        this.pack = pack;
    }
    
    public AstPackTradeTypeEnum getAstTradeType() {
        return astTradeType;
    }
    
    public void setAstTradeType(AstPackTradeTypeEnum astTradeType) {
        this.astTradeType = astTradeType;
    }
    
}
