/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.wk.domain.sync;

import com.abssqr.plat.common.model.domain.task.DispatcherNode;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.wk.domain.sync: WkMfsSyncCtr.java, v 0.1 2019-06-18 17:40 zhenxuan.luo Exp $
 */
public class WkMfsSyncCtr extends DispatcherNode {
    /**
     * id .
     */
    private Long id;
    /**
     * orgNo 机构.
     */
    private String orgNo;
    /**
     * loanId 借据号.
     */
    private String loanId;
    /**
     * productId 产品编号.
     */
    private String productId;
    /**
     * loanStatus 状态 2-已放款 3-已冲正 4-已撤销 5-已还款（借据已放款且客户已归还过一次款) 6-已结清.
     */
    private String loanStatus;
    /**
     * productName 产品名称.
     */
    private String productName;
    /**
     * absSyncDate 同步日期.
     */
    private Date absSyncDate;
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public String getOrgNo() {
        return orgNo;
    }
    
    public void setOrgNo(String orgNo) {
        this.orgNo = orgNo;
    }
    
    public String getLoanId() {
        return loanId;
    }
    
    public void setLoanId(String loanId) {
        this.loanId = loanId;
    }
    
    public String getProductId() {
        return productId;
    }
    
    public void setProductId(String productId) {
        this.productId = productId;
    }
    
    public String getLoanStatus() {
        return loanStatus;
    }
    
    public void setLoanStatus(String loanStatus) {
        this.loanStatus = loanStatus;
    }
    
    public String getProductName() {
        return productName;
    }
    
    public void setProductName(String productName) {
        this.productName = productName;
    }
    
    public Date getAbsSyncDate() {
        return absSyncDate;
    }
    
    public void setAbsSyncDate(Date absSyncDate) {
        this.absSyncDate = absSyncDate;
    }
}