/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.util.loggers;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author zhenxuan.luo
 * @version $Id: CommonLoggers.java, v 0.1 2017-06-29 下午16:28 zhenxuan.luo Exp $
 */
public class CommonLoggers {
    
    /**
     * Dispatcher调度日志
     */
    public final static Logger BUG_FIX_LOG = LoggerFactory.getLogger("BUG_FIX");
    
    /**
     * Dispatcher调度日志
     */
    public final static Logger COMMON_DISPATCHER = LoggerFactory.getLogger("COMMON_DISPATCHER");
    
    /**
     * 任务日志
     */
    public final static Logger COMMON_HTTP = LoggerFactory.getLogger("COMMON_HTTP");
    
    /**
     * 资产操作日志
     */
    public final static Logger COMMON_AST = LoggerFactory.getLogger("COMMON_AST");
    
    /**
     * 资产操作日志
     */
    public final static Logger BIZ_REQUEST           = LoggerFactory.getLogger("BIZ_REQUEST");
    /**
     * 五矿调用日志
     */
    public final static Logger WK_INTEGRATION        = LoggerFactory.getLogger("WK_INTEGRATION");
    /**
     * DING_TALK_INTEGRATION
     */
    public final static Logger DING_TALK_INTEGRATION = LoggerFactory.getLogger("DING_TALK_INTEGRATION");
    /**
     * PERFORM_TRACE
     */
    public final static Logger PERFORM_TRACE         = LoggerFactory.getLogger("PERFORM_TRACE");
    /**
     * Dispatcher调度日志
     */
    public final static Logger AST_MATCH = LoggerFactory.getLogger("AST_MATCH");
    
}