/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.core.service.action;

import com.abssqr.plat.common.model.domain.ast.Loan;
import com.abssqr.plat.common.model.domain.astSync.BaseTsfRes;
import com.abssqr.plat.common.model.domain.astSync.LoanAstSyncTrans;

/**
 *
 * @author guozhenhua
 * @version com.abssqr.plat.processor.core.action: BaseSyncAction.java, v 0.1 2017-12-12 下午8:06 guozhenhua Exp $ 
 */
public abstract class BaseSyncAction implements AstTransAction {
    
    @Override
    public Loan executeAction(BaseTsfRes baseTsfRes, LoanAstSyncTrans loanAstSyncTrans, Loan loan) {
        return doExecute(baseTsfRes, loanAstSyncTrans, loan);
    }
    
    abstract protected Loan doExecute(BaseTsfRes baseTsfRes, LoanAstSyncTrans loanAstSyncTrans, Loan loan);
}
