/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.test;

import com.general.system.common.model.Money;
import com.general.system.common.util.MoneyUtil;
import org.testng.annotations.Test;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.test: GsonTest.java, v 0.1 2019-07-26 10:48 bangis.wangdf Exp $
 */
public class GsonTest {

    String plan = "{\"planName\":\"plan_org_8897371\",\"planNo\":\"plan_org_8897371\",\"totalAmt\":100,"
        + "\"beginDate\":\"2019-07-01\",\"endDate\":\"2021-07-31\",\"fundType\":\"PRIVATE\","
        + "\"sponsorOrgCode\":\"F51\",\"planMgrOrgCode\":\"WK001\",\"effectDate\":\"2019-07-01\","
        + "\"firstClearDate\":\"2019-07-22\",\"firstPayDate\":\"2019-07-25\",\"payFreq\":\"M\","
        + "\"calcIntrType\":\"ACT_360\",\"vatRate\":3,\"accounts\":[{\"actAttr\":\"NORMAL\",\"channelNo\":\"007\","
        + "\"actNo\":\"755915676910701\",\"actName\":\"企业网银新20161058\",\"actProv\":\"广东\",\"actCity\":\"深圳\","
        + "\"actBank\":\"招商银行深圳分行\"},{\"actAttr\":\"HOSTED\",\"channelNo\":\"007\",\"actNo\":\"755915676910806\","
        + "\"actName\":\"企业网银新20161058\",\"actProv\":\"广东\",\"actCity\":\"深圳\",\"actBank\":\"招商银行深圳分行\"}],"
        + "\"transferRule\":{\"screeningRules\":[\"SND2019072610332000201715\"],\"trCycle\":\"D\","
        + "\"startTrDate\":\"2019-07-02\",\"stopTrDate\":\"2019-12-31\",\"resAmt\":30},"
        + "\"investStructureList\":[{\"key\":\"NEW_TEMP_ID_0\",\"layerType\":\"LT01\",\"layerName\":\"t01\","
        + "\"layerAmt\":60,\"layerIntr\":7,\"layerEndDate\":\"2020-07-31\",\"editable\":false},"
        + "{\"key\":\"NEW_TEMP_ID_1\",\"layerType\":\"LT01\",\"layerName\":\"t02\",\"layerAmt\":30,\"layerIntr\":6,"
        + "\"layerEndDate\":\"2019-10-31\",\"editable\":false},{\"key\":\"NEW_TEMP_ID_2\",\"layerType\":\"LT02\","
        + "\"layerName\":\"t03\",\"layerAmt\":10,\"layerIntr\":0,\"layerEndDate\":\"2020-07-31\",\"editable\":false},"
        + "{\"key\":\"NEW_TEMP_ID_3\",\"layerType\":\"\",\"layerName\":\"\",\"layerAmt\":\"\",\"layerIntr\":\"\","
        + "\"layerEndDate\":\"\",\"editable\":true,\"isNew\":true}],"
        + "\"feeStructureList\":[{\"key\":\"NEW_RECORD_ID0\",\"feeName\":\"按期fee一\",\"feeTimeType\":\"TERM\","
        + "\"feeCalcType\":\"FCT003\",\"feeScaleType\":\"PRISTART\",\"feeRate\":2,\"payLimitAmt\":40},"
        + "{\"key\":\"NEW_RECORD_ID1\",\"feeName\":\"按期fee二\",\"feeTimeType\":\"TERM\",\"feeCalcType\":\"FCT002\","
        + "\"feeScaleType\":\"PRIREMAIN\",\"feeRate\":3,\"payLimitAmt\":40},{\"key\":\"NEW_RECORD_ID2\","
        + "\"feeName\":\"固fee\",\"feeTimeType\":\"PFCD\",\"feeCalcType\":\"FCT001\",\"fixedFeeAmt\":3}],"
        + "\"isAdd\":true}";

    @Test
    public void testPlan() {

        Money a = new Money(100);
        Money b = new Money(99);
        Money prinDiff = a.subtract(b);
        System.out.println(prinDiff);

        prinDiff = b.subtract(a);
        System.out.println(prinDiff);
        Money totalPay = new Money(0.5);

        Money prinAmt = MoneyUtil.min(prinDiff, totalPay);
        System.out.println(prinAmt);
    }
}
