/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.test.unittest.planMonitor;

import com.abssqr.plat.common.facade.param.plan.monitor.PlanMonitorOprParam;
import com.abssqr.plat.common.facade.service.plan.PlanMonitorService;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 *
 * @author yangcheng
 * @version PlanMonitorUnitTest.java, v0.12019-06-1001:44 yangchengExp$
 */
public class PlanMonitorUnitTest extends BaseAutoTests {
    @Autowired
    private PlanMonitorService planMonitorService;
    
    
    @XTest(relatePath = "unittest/planMonitor")
    @Test(dataProvider = "YamlDataProvider", description = "监控事项新增")
    public void initPlanMonitor(ICase iCase, PlanMonitorOprParam param){
        try{
            planMonitorService.editMonitor(param);
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
